Skip to content

patchBillingSeries

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
property name*anyadditional property
PATCH
/api/v1/billing-series/{id}
curl -i -X PATCH \
  'https://api.prana.software/api/v1/billing-series/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "property1": null,
    "property2": null
  }'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
typestring(ApiBillingSeriesDocumentTypeEnum)required

Type of the billing series. See BillingSeriesTypeEnum for possible values.

Default:""
Enum:"PURCHASE""PURCHASE_TICKET""SALE""SALE_TICKET""INVOICE_DRAFT"
Example:"INVOICE"
codestring, non-emptyrequired

Billing series code.

Default:""
Example:"SER2025"
descriptionstring

Description of the billing series.

Default:""
Example:"Main invoice series"
cifstring

Tax Identification Code (CIF) for the billing series.

Default:""
Example:"B42512345"
purchaseAccountobject(ApiChartAccountListReadDto)

Purchase account details. See ChartAccountListReadDto.

Default:""
observationsstring

Additional observations.

Default:""
Example:"Used for export invoices"
depositboolean

Indicates if the series is a deposit.

Default:false
Example:false
correctiveboolean

Indicates if the series is corrective.

Default:false
Example:true
correctiveBillingSeriesobject(ApiBillingSeriesReadDto)Recursive

Billing series details with accounting information

Default:null
lastInvoiceNumberinteger

Last invoice number issued in the series.

Default:""
Example:1900
otherSIFboolean

Indicates if this series is for other SIF.

Default:false
Example:false
omitSeriesOnSendToSiiboolean

Indicates if the series should be omitted when sending invoices to SII.

Default:false
Example:true
Response
// No response example